-module(test).
-export([fgv/1,fgv/2]).

fgv(A) ->
    fun(B) -> A end.

fgv(A,B) ->
    case A of
      a -> fun(B) -> B+2 end;
      b -> fun(C) -> 2 end;
      c -> fun(_C) -> 3 end;
      _ -> A
    end.
